Package weka.core.pmml.jaxbbindings

# Class AssociationRule

java.lang.Object
weka.core.pmml.jaxbbindings.AssociationRule

public class AssociationRule extends Object

Java class for AssociationRule element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="AssociationRule">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="affinity" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
             <attribute name="antecedent" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="confidence" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
             <attribute name="consequent" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="leverage" type="{http://www.w3.org/2001/XMLSchema}float" />
             <attribute name="lift" type="{http://www.w3.org/2001/XMLSchema}float" />
             <attribute name="support" use="required" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssociationRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAffinity()`
  Gets the value of the affinity property.
  `String`
  `getAntecedent()`
  Gets the value of the antecedent property.
  `BigDecimal`
  `getConfidence()`
  Gets the value of the confidence property.
  `String`
  `getConsequent()`
  Gets the value of the consequent property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getId()`
  Gets the value of the id property.
  `Float`
  `getLeverage()`
  Gets the value of the leverage property.
  `Float`
  `getLift()`
  Gets the value of the lift property.
  `BigDecimal`
  `getSupport()`
  Gets the value of the support property.
  `void`
  `setAffinity(BigDecimal value)`
  Sets the value of the affinity property.
  `void`
  `setAntecedent(String value)`
  Sets the value of the antecedent property.
  `void`
  `setConfidence(BigDecimal value)`
  Sets the value of the confidence property.
  `void`
  `setConsequent(String value)`
  Sets the value of the consequent property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLeverage(Float value)`
  Sets the value of the leverage property.
  `void`
  `setLift(Float value)`
  Sets the value of the lift property.
  `void`
  `setSupport(BigDecimal value)`
  Sets the value of the support property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssociationRule

    public AssociationRule()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getAffinity

    public BigDecimal getAffinity()
    Gets the value of the affinity property.
    Returns:
      possible object is `BigDecimal`

  - ### setAffinity

    public void setAffinity(BigDecimal value)
    Sets the value of the affinity property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getAntecedent

    public String getAntecedent()
    Gets the value of the antecedent property.
    Returns:
      possible object is `String`

  - ### setAntecedent

    public void setAntecedent(String value)
    Sets the value of the antecedent property.
    Parameters:
      `value` - allowed object is `String`

  - ### getConfidence

    public BigDecimal getConfidence()
    Gets the value of the confidence property.
    Returns:
      possible object is `BigDecimal`

  - ### setConfidence

    public void setConfidence(BigDecimal value)
    Sets the value of the confidence property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getConsequent

    public String getConsequent()
    Gets the value of the consequent property.
    Returns:
      possible object is `String`

  - ### setConsequent

    public void setConsequent(String value)
    Sets the value of the consequent property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLeverage

    public Float getLeverage()
    Gets the value of the leverage property.
    Returns:
      possible object is `Float`

  - ### setLeverage

    public void setLeverage(Float value)
    Sets the value of the leverage property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getLift

    public Float getLift()
    Gets the value of the lift property.
    Returns:
      possible object is `Float`

  - ### setLift

    public void setLift(Float value)
    Sets the value of the lift property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getSupport

    public BigDecimal getSupport()
    Gets the value of the support property.
    Returns:
      possible object is `BigDecimal`

  - ### setSupport

    public void setSupport(BigDecimal value)
    Sets the value of the support property.
    Parameters:
      `value` - allowed object is `BigDecimal`